libnvme(2)

NAME
struct nvme_endurance_group_log - Endurance Group Information Log

SYNOPSIS
struct nvme_endurance_group_log {
__u8 critical_warning;
__u8 endurance_group_features;
__u8 rsvd2;
__u8 avl_spare;
__u8 avl_spare_threshold;
__u8 percent_used;
__le16 domain_identifier;
__u8 rsvd8[24];
__u8 endurance_estimate[16];
__u8 data_units_read[16];
__u8 data_units_written[16];
__u8 media_units_written[16];
__u8 host_read_cmds[16];
__u8 host_write_cmds[16];
__u8 media_data_integrity_err[16];
__u8 num_err_info_log_entries[16];
__u8 total_end_grp_cap[16];
__u8 unalloc_end_grp_cap[16];
__u8 rsvd192[320];
};

Members

critical_warning
    Critical Warning

endurance_group_features
    Endurance Group Features

rsvd2
    Reserved

avl_spare
    Available Spare

avl_spare_threshold
    Available Spare Threshold

percent_used
    Percentage Used

domain_identifier
    Domain Identifier

rsvd8
    Reserved

endurance_estimate
    Endurance Estimate

data_units_read
    Data Units Read

data_units_written
    Data Units Written

media_units_written
    Media Units Written

host_read_cmds
    Host Read Commands

host_write_cmds
    Host Write Commands

media_data_integrity_err
    Media and Data Integrity Errors

num_err_info_log_entries
    Number of Error Information Log Entries

total_end_grp_cap
    Total Endurance Group Capacity

unalloc_end_grp_cap
    Unallocated Endurance Group Capacity

rsvd192
    Reserved